DeepFellow DOCS

Search the knowledge graph

POST
/v1/graph/search

Retrieve raw context from the project's knowledge graph using natural language.

Authorization

headerAuthorizationBearer <token>

Header Parameters

OpenAI-Organization?|

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?|

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

Request Body

application/json
  1. body

Search request for the knowledge graph.

query*string

Natural language search query

Response Body

Successful Response

application/json
  1. response

Search response from the knowledge graph.

results*array<>
Example Request
curl -X POST 'https://deepfellow-server-host/v1/graph/search' \  -H 'Content-Type: application/json' \  -d '{  "query": "string"}'
Example Response
{  "results": [    {      "content": "string",      "score": 0,      "metadata": {}    }  ]}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.